#ifndef TEXTSHARTITEM_H
#define TEXTSHARTITEM_H
#include "abstractshartitem.h"
#include "abstractoptiondialog.h"
#include <QGraphicsItem>
#include <QtGui>
#include <QFontDialog>
class TextShartItem;
class TextOptionDialog;

class TextOptionDialog : public AbstractOptionDialog
{
Q_OBJECT
public:
TextOptionDialog(QWidget * parent=0);
QFont font(){return mFont;}
QString text(){return mTextEdit->toPlainText();}
public slots:
void showFontDialog();
private:
QPushButton * mFontButton;
QFont mFont;
QTextEdit * mTextEdit;

};




class TextShartItem : public AbstractShartItem
{
    Q_OBJECT
public:
    TextShartItem(const QString& t, QObject* parent=0);
void setText(const QString& text);
void setFont(const QFont & font);
const QString& text(){return mText;}
const QFont& font(){return mFont;}
public slots:
void showOption();


protected:
    virtual void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
private:
    QString mText;
    QFont mFont;
};

#endif // TEXTSHARTITEM_H
